# config file for abcde
# converts a cd into mp3 (quality V0)

# Specify the encoder to use for MP3. In this case
# the alternatives are gogo, bladeenc, l3enc, xingmp3enc, mp3enc.
MP3ENCODERSYNTAX=lame 

# Specify the path to the selected encoder. In most cases the encoder
# should be in your $PATH as I illustrate below, otherwise you will 
# need to specify the full path. For example: /usr/bin/lame
LAME=lame

# Specify your required encoding options here. Multiple options can
# be selected as '--preset standard --another-option' etc.
# preset extreme produces V0 mp3 quality
LAMEOPTS='--preset extreme'

# Output type for MP3.
OUTPUTTYPE="mp3"

# The cd ripping program to use. There are a few choices here: cdda2wav,
# dagrab, cddafs (Mac OS X only) and flac.
CDROMREADERSYNTAX=cdparanoia            
                                     
# Give the location of the ripping program and pass any extra options:
CDPARANOIA=cdparanoia  
CDPARANOIAOPTS="--never-skip=40"

# Give the location of the CD identification program:       
CDDISCID=cd-discid            
                               
# Give the base location here for the encoded music files.
# I've commented it out cause I want to rip into the current folder
# OUTPUTDIR="$HOME/music/"               

# The default actions that abcde will take.
# If you want a playlist too, use this line instead
# ACTIONS=cddb,playlist,read,encode,tag,move,clean
ACTIONS=cddb,read,encode,tag,move,clean
              
# Decide here how you want the tracks labelled for a standard 'single-artist',
# multi-track encode and also for a multi-track, 'various-artist' encode:
# my prefered layout for single artist: artistname - albumname/01 - trackname.mp3 ...
OUTPUTFORMAT='${ARTISTFILE} - ${ALBUMFILE}/${TRACKNUM} - ${TRACKFILE}'
# my prefered layout for multi artist: Various - albumname/01 - artistname - trackname.mp3 ...
VAOUTPUTFORMAT='Various - ${ALBUMFILE}/${TRACKNUM} - ${ARTISTFILE} - ${TRACKFILE}'

# Decide here how you want the tracks labelled for a standard 'single-artist',
# single-track encode and also for a single-track 'various-artist' encode.
# (Create a single-track encode with 'abcde -1' from the commandline.)
# if it's only one big file, I need no folder
ONETRACKOUTPUTFORMAT='${ARTISTFILE} - ${ALBUMFILE}'
VAONETRACKOUTPUTFORMAT='Various - ${ALBUMFILE}'

# Create playlists for single and various-artist encodes. I would suggest
# commenting these out for single-track encoding.
# if you have changed the layout above, you also must change the layout for the playlists, if you use them
PLAYLISTFORMAT='${ARTISTFILE} - ${ALBUMFILE}/${ALBUMFILE}.m3u'
VAPLAYLISTFORMAT='Various - ${ALBUMFILE}/${ALBUMFILE}.m3u'

# Put spaces in the filenames instead of the more correct underscores:
mungefilename ()
{
  echo "$@" | sed s,:,-,g | tr / _ | tr -d \'\"\?\[:cntrl:\]
}

# some extra options
MAXPROCS=2                              # Run a few encoders simultaneously
PADTRACKS=y                             # Makes tracks 01 02 not 1 2
NOGAP=n   # sometimes you don't want gaps between the tracks, for example if it's an audio book

